# DependentComponentsReport

API Documentation: | `DependentComponentsReport`

Note: This class is incubating and may change in a future version of Gradle.

Displays dependent components.

### Properties

Property | Description
`components` | Incubating The components to generate the report for. Defaults to all components of this project.
`showAll` | Incubating Should this include both non-buildable and test suites in the report?
`showNonBuildable` | Incubating Should this include non-buildable components in the report?
`showTestSuites` | Incubating Should this include test suites in the report?

### Methods

No methods

### Script blocks

No script blocks

### Property details

#### ``List`<`String`>` `components`

Note: This property is incubating and may change in a future version of Gradle.

The components to generate the report for. Defaults to all components of this project.

#### `boolean` `showAll`

Note: This property is incubating and may change in a future version of Gradle.

Should this include both non-buildable and test suites in the report?

#### `boolean` `showNonBuildable`

Note: This property is incubating and may change in a future version of Gradle.

Should this include non-buildable components in the report?

#### `boolean` `showTestSuites`

Note: This property is incubating and may change in a future version of Gradle.

Should this include test suites in the report?